api_version: iobackup.io/v1
kind: BackupJob
metadata:
  job_id: filesystem-ssh-streaming
  name: Filesystem to SSH destination backup
spec:
  enabled: true
  operation:
    type: backup
  artifact:
    mode: stream
    staging:
      enabled: false
  tasks:
    - task_id: fs-over-ssh
      source:
        type: filesystem
        config:
          paths:
            - /add/tmp/max-docker
          include_hidden: true
          follow_symlinks: false
      backup:
        format: tar.gz
        compression: gzip
        checksum: sha256
      destination:
        type: ssh
        config:
          host: 10.5.1.4
          port: 22
          username: root
          auth:
            method: private_key
          path: /tmp/iobackup
